/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\thevanquisher.cs
Lines of code: 43

Description: 

***********************************************************/


using System;
using Server;
using Server.Mobiles;

namespace Server.Items
{
	public class thevanquisher : BaseTalisman
	{
	
		[Constructable]
		public thevanquisher() : base( 12121 )
		{
			Hue = 20;
			Name="The Vanquisher";

			int maxtries=100;
			int i=0;
			
				do
				{
				Slayer = BaseRunicTool.GetRandomSlayer();
				i++;
				}while (Slayer==SlayerName.None && i<maxtries);
			

				i=0;
				do
				{
				Slayer2 = BaseRunicTool.GetRandomSlayer();
				i++;
				}while ((Slayer2==SlayerName.None || Slayer2==Slayer) && i<maxtries);
			
			if(Slayer2==Slayer)Slayer=SlayerName.None;
			

			
			Attributes.WeaponDamage = 25;
		}
		
		public thevanquisher( Serial serial ) :  base( serial )
		{
		}
		
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}